"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.selectOwnerGuid = exports.selectGuid = exports.setOwnerGuid = exports.setGuid = exports.slice = void 0;

var _toolkit = require("@reduxjs/toolkit");

const slice = (0, _toolkit.createSlice)({
  name: 'properties',
  initialState: {
    guid: null,
    ownerGuid: null
  },
  reducers: {
    setGuid: (state, action) => {
      const stateRef = state;
      stateRef.guid = action.payload;
    },
    setOwnerGuid: (state, action) => {
      const stateRef = state;
      stateRef.ownerGuid = action.payload;
    }
  }
});
exports.slice = slice;
const {
  setGuid,
  setOwnerGuid
} = slice.actions;
exports.setOwnerGuid = setOwnerGuid;
exports.setGuid = setGuid;

const selectGuid = state => {
  const {
    guid
  } = state.properties;
  return guid;
};

exports.selectGuid = selectGuid;

const selectOwnerGuid = state => {
  const {
    ownerGuid
  } = state.properties;
  return ownerGuid;
};

exports.selectOwnerGuid = selectOwnerGuid;
var _default = slice.reducer;
exports.default = _default;