"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.selectIsBusy = exports.setIsBusy = exports.selectIsForeground = exports.setIsForeground = exports.selectStatus = exports.slice = void 0;

var _toolkit = require("@reduxjs/toolkit");

const slice = (0, _toolkit.createSlice)({
  name: 'status',
  initialState: {
    isForeground: true,
    isBusy: false
  },
  reducers: {
    setIsForeground: (state, action) => {
      const stateRef = state;
      stateRef.isForeground = action.payload;
    },
    setIsBusy: (state, action) => {
      const stateRef = state;
      stateRef.isBusy = action.payload;
    }
  }
});
exports.slice = slice;
const {
  setIsForeground,
  setIsBusy
} = slice.actions;
exports.setIsBusy = setIsBusy;
exports.setIsForeground = setIsForeground;

const selectIsForeground = state => state.status.isForeground;

exports.selectIsForeground = selectIsForeground;

const selectIsBusy = state => state.status.isBusy;

exports.selectIsBusy = selectIsBusy;

const selectStatus = state => {
  const result = state.status;
  return result;
};

exports.selectStatus = selectStatus;
var _default = slice.reducer;
exports.default = _default;