"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _toolkit = require("@reduxjs/toolkit");

var _redux = require("redux");

var _statusSlice = _interopRequireDefault(require("./status-slice"));

var _propertiesSlice = _interopRequireDefault(require("./properties-slice"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const createReducer = asyncReducers => {
  return (0, _redux.combineReducers)({
    properties: _propertiesSlice.default,
    status: _statusSlice.default,
    ...asyncReducers
  });
};

const initializeStore = () => {
  const store = (0, _toolkit.configureStore)({
    reducer: createReducer(),
    middleware: [...(0, _toolkit.getDefaultMiddleware)()],
    devTools: false
  });
  store.asyncReducers = {};

  store.injectReducer = (key, reducer) => {
    store.asyncReducers[key] = reducer;
    store.replaceReducer(createReducer(store.asyncReducers));
    return store;
  };

  return store;
};

var _default = initializeStore;
exports.default = _default;