"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _customItem = _interopRequireDefault(require("../custom-item"));

var _toolbarCommandsSlice = _interopRequireWildcard(require("./store/toolbar-commands-slice"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class FeatureBase extends _customItem.default {
  constructor(guid, moduleGuid, options = {}) {
    super(guid, moduleGuid, options);

    _defineProperty(this, "injectReducer", (key, reducer) => {
      this.store = this.store.injectReducer(key, reducer);
    });

    this.store = this.store.injectReducer('toolbarCommands', _toolbarCommandsSlice.default);
    this.store.dispatch((0, _toolbarCommandsSlice.addToolbarCommands)(options.toolbarCommands));
  }

  getPublicState() {
    const result = { ...super.getPublicState(),
      toolbarCommands: this.useSelector(_toolbarCommandsSlice.selectToolbarCommandsArray)
    };
    return result;
  } // eslint-disable-next-line class-methods-use-this, no-unused-vars


  execute(action) {
    return false;
  }

  close() {
    if (this.dbContextIsLocal) {
      this.dbContext.close();
    }

    this.stopEmission = true;
  }

}

var _default = FeatureBase;
exports.default = _default;