"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.logDebug = exports.logError = exports.LogLevels = exports.default = void 0;

var _dateformat = _interopRequireDefault(require("dateformat"));

var _environment = _interopRequireDefault(require("./environment"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-console */
const dateFormatMask = 'yyyy-mm-dd HH:MM:ss';
const LogLevels = {
  NONE: 0,
  ERROR: 1,
  DEBUG: 2
};
exports.LogLevels = LogLevels;
const currentLogLevel = _environment.default.LOG_LEVEL;

const log = (logLevel, message, data) => {
  const createdAt = new Date();
  console.log(`${(0, _dateformat.default)(createdAt, dateFormatMask)} - ${message}`);

  if (data && logLevel > LogLevels.ERROR) {
    console.log(data);
  }
};

const logInfo = (message, data) => {
  log(LogLevels.NONE, `INFO: ${message}`, data);
};

const logDebug = (message, data) => {
  if (currentLogLevel >= LogLevels.DEBUG) {
    log(LogLevels.DEBUG, `DEBUG: ${message}`, data);
  }
};

exports.logDebug = logDebug;

const logError = (message, data) => {
  if (currentLogLevel >= LogLevels.ERROR) {
    log(LogLevels.ERROR, `ERROR: ${message}`, data);
  }
};

exports.logError = logError;
var _default = logInfo;
exports.default = _default;