"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.selectAvailableFeaturesArray = exports.selectCurrentFeatureGuid = exports.selectCurrentFeature = exports.setAvailableFeatureIsVisible = exports.setAvailableFeatureIsEnabled = exports.setCurrentFeature = exports.setAvailableFeatures = exports.slice = void 0;

var _toolkit = require("@reduxjs/toolkit");

const slice = (0, _toolkit.createSlice)({
  name: 'features',
  initialState: {
    availableFeatures: null,
    currentFeature: null
  },
  reducers: {
    setAvailableFeatures: (state, action) => {
      const stateRef = state;
      stateRef.availableFeatures = action.payload;
    },
    setCurrentFeature: (state, action) => {
      const stateRef = state;
      stateRef.currentFeature = action.payload;
    },
    setAvailableFeatureIsEnabled: (state, action) => {
      const stateRef = state;
      stateRef.availableFeatures[action.payload.featureGuid].isEnabled = action.payload.isEnabled;
    },
    setAvailableFeatureIsVisible: (state, action) => {
      const stateRef = state;
      stateRef.availableFeatures[action.payload.featureGuid].isVisible = action.payload.isVisible;
    }
  }
});
exports.slice = slice;
const {
  setAvailableFeatures,
  setCurrentFeature,
  setAvailableFeatureIsEnabled,
  setAvailableFeatureIsVisible
} = slice.actions;
exports.setAvailableFeatureIsVisible = setAvailableFeatureIsVisible;
exports.setAvailableFeatureIsEnabled = setAvailableFeatureIsEnabled;
exports.setCurrentFeature = setCurrentFeature;
exports.setAvailableFeatures = setAvailableFeatures;

const selectCurrentFeature = state => state.features.currentFeature;

exports.selectCurrentFeature = selectCurrentFeature;

const selectCurrentFeatureGuid = state => {
  var _state$features$curre;

  return (_state$features$curre = state.features.currentFeature) === null || _state$features$curre === void 0 ? void 0 : _state$features$curre.guid;
};

exports.selectCurrentFeatureGuid = selectCurrentFeatureGuid;

const selectAvailableFeaturesArray = state => state.features.availableFeatures;

exports.selectAvailableFeaturesArray = selectAvailableFeaturesArray;
var _default = slice.reducer;
exports.default = _default;